#include <stdio.h>
#include <stdlib.h>
void razmenid(double *a,double *b)
{
    double p;
    p=*a;
    *a=*b;
    *b=p;
}

void razmenil(long int *a,long int *b)
{
    long int p;
    p=*a;
    *a=*b;
    *b=p;
}

long int pivot(double p[],long int a[],long int b,long int e)
{
    long int i, j = b;
    for(i=b+1;i<=e;i++)
    {
        if(p[i]<p[b])
        {
            razmenid(&p[i],&p[j+1]);
            razmenil(&a[i],&a[j+1]);
            j++;
        }
    }
    razmenid(&p[b],&p[j]);
    razmenil(&a[b],&a[j]);
    return j;
}

void quicksort(double p[],long int a[],long int b,long int e)
{
    long int pi=pivot(p,a,b,e);
    if(pi-b>=1)
        quicksort(p,a,b,pi-1);
    if(e-pi>=1)
        quicksort(p,a,pi+1,e);
}

int main()
{
    long int n,a1;
    double s,s1,s2;
    scanf("%li",&n);
    double p[n];
    long int a[n];
    long int i;
    double p1;
    for(i=0;i<n;i++)
    {
        scanf("%li%lf",&a1,&p1);
        p[i]=p1;
        a[i]=a1;
        s+=a1;
    }
    quicksort(p,a,0,n-1);
    s1=s*p[0]/100;
    for(i=1;i<n;i++)
    {
        s-=a[i-1];
        s2=p[i]*s/100;
        if(s2>s1)
            s1=s2;
    }
    printf("%.4lf",s1);
}